Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 572876 (CVE-2015-8784) - <media-libs/tiff-4.0.7: potential out-of-bound write in NeXTDecode() (CVE-2015-8784)
Summary: <media-libs/tiff-4.0.7: potential out-of-bound write in NeXTDecode() (CVE-201...
Status: RESOLVED FIXED
Alias: CVE-2015-8784
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: A2 [glsa cve]
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2016-01-25 14:33 UTC by Agostino Sarubbo
Modified: 2017-01-09 17:01 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-01-25 14:33:28 UTC
From ${URL} :

http://bugzilla.maptools.org/show_bug.cgi?id=2508

> 2015-12-27  Even Rouault <even.rouault at spatialys.com>
> 
>         * libtiff/tif_next.c: fix potential out-of-bound write in NeXTDecode()
>         triggered by http://lcamtuf.coredump.cx/afl/vulns/libtiff5.tif
>         (bugzilla #2508)

Fixing commit:

https://github.com/vadz/libtiff/commit/b18012dae552f85dcc5c57d3bf4e997a15b1cc1c



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2016-07-11 05:10:38 UTC
CVE-2015-8784 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-8784):
  The NeXTDecode function in tif_next.c in LibTIFF allows remote attackers to
  cause a denial of service (out-of-bounds write) via a crafted TIFF image, as
  demonstrated by libtiff5.tif.
Comment 2 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-20 05:07:45 UTC
Patch is not present in the 4.0.6 sources.

@maintainer(s), please patch as it does not look like upstream is releasing an update anytime soon.
Comment 3 Thomas Deutschmann gentoo-dev Security 2017-01-09 16:18:21 UTC
Added to existing GLSA request.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-01-09 17:01:10 UTC
This issue was resolved and addressed in
 GLSA 201701-16 at https://security.gentoo.org/glsa/201701-16
by GLSA coordinator Thomas Deutschmann (whissi).